openjk (0~20200610.24c5b27~dfsg-1) experimental; urgency=medium

  * New upstream snapshot
    - Drop patch, applied upstream
  * Update AppArmor profiles to use abstractions from 2.13.x.
    A suitable version is available in Debian 10 and Ubuntu 19.10.
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Jun 2020 12:55:52 +0100

openjk (0~20191129.eed6092~dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/p/Remove-FindSDL2-find-module-use-sdl2-config.cmake-instead.patch:
    Rely on libsdl2-dev (>= 2.0.4) providing a CMake "config-file package".
    This means we no longer need to copy/paste a FindSDL2 module, removing
    some redundant code; it also bypasses a regression in libsdl2-dev
    resulting from the introduction of multiarch support, which broke
    FindSDL2's assumptions, causing FTBFS. (Mitigates: #951087)
  * Standards-Version: 4.5.0 (no changes required)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Feb 2020 10:57:06 +0000

openjk (0~20191030.4881be7~dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * d/rules: Set LC_ALL=C.UTF-8 and TZ=UTC.
    This affects the build date derived from SOURCE_DATE_EPOCH,
    which should be the same for all builds to improve reproducibility.
  * Remove migration path from openjk-dbg, which was removed in 2016
  * Standards-Version: 4.4.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 02 Nov 2019 22:39:20 +0000

openjk (0~20190519.a2ea6ad~dfsg-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Jun 2019 22:19:53 +0100

openjk (0~20190428.5f3389a~dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/*.links: Don't install symlinks to rv-readme.txt in openjk-common.
    rv-readme.txt was removed in 0~20160911+dfsg1-1: it doesn't provide
    useful information that isn't already in d/copyright. (Closes: #925447)

 -- Simon McVittie <smcv@debian.org>  Wed, 01 May 2019 08:09:10 +0100

openjk (0~20190221.8367be0~dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * AppArmor: Mark Mesa shader cache rules as obsoleted by apparmor 2.13
  * AppArmor: Rename AppArmor profiles to decouple the name from the
    attachment, as per
    https://lists.ubuntu.com/archives/apparmor/2018-August/011791.html
  * Standards-Version: 4.3.0 (no changes required)
  * Use debhelper-compat (= 12)
    - Add ${misc:Pre-Depends} to all packages (no functional change for
      packages other than openjk-server)
  * d/*.lintian-overrides: Justify why README.jedi-*-data need to be
    outside /usr/share/doc

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Mar 2019 18:00:40 +0000

openjk (0~20180917.cc4094c~dfsg-1) experimental; urgency=medium

  * Revert "Update maintainer address"
    The lists.alioth.debian.org form is still canonical.
  * New upstream snapshot
  * d/p/JK2-Remove-mismatched-allocator-from-std-map-typedefs.patch:
    Remove, applied upstream
  * Standards-Version: 4.2.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 01 Oct 2018 15:20:03 +0100

openjk (0~20180606.9736ae6~dfsg-1) experimental; urgency=medium

  * Update maintainer address
  * New upstream snapshot
  * d/copyright: Update
  * Build-depend on cmake >= 3.1 as per CMakeLists.txt
  * d/p/JK2-Remove-mismatched-allocator-from-std-map-typedefs.patch:
    Add patch to fix FTBFS with gcc 8 (Closes: #905477)
  * Standards-Version: 4.2.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Aug 2018 16:11:50 +0100

openjk (0~20180414.698fe7c~dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update Files-Excluded
  * d/watch: Watch for new versions from git
  * d/rules: Remove get-orig-source target
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Apr 2018 10:29:00 +0100

openjk (0~20180102~dfsg-1) experimental; urgency=medium

  * New upstream snapshot 32dcb33b
  * Change Vcs-* from debiangames-team to games-team
  * AppArmor: Sync profile from ioquake3
    - Use <abstractions/wayland> from apparmor (>= 2.10.95-5) instead
      of reinventing it
    - Allow reading EGL vendor configuration

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Jan 2018 22:00:20 +0000

openjk (0~20171228~dfsg-1) experimental; urgency=medium

  * New upstream snapshot 01dd4909
  * Build-depend on SDL 2.0.7 so we have at least the version bundled
    by upstream
  * Standards-Version: 4.1.3 (no changes required)
  * Move to debhelper compat level 11
  * Move packaging to salsa.debian.org

 -- Simon McVittie <smcv@debian.org>  Mon, 01 Jan 2018 12:28:22 +0000

openjk (0~20171104~dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * Standards-Version: 4.1.1 (no changes required)
  * Set Rules-Requires-Root to no

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Nov 2017 10:45:18 +0000

openjk (0~20170718+dfsg1-2) experimental; urgency=medium

  * Add patch adapted from ioquake3 to avoid a read buffer overflow
    in MSG_ReadBits (CVE-2017-11721), and check a buffer boundary
    more accurately in MSG_WriteBits (believed to be merely a bug, not
    a vulnerability).

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Aug 2017 12:25:55 +0100

openjk (0~20170718+dfsg1-1) experimental; urgency=medium

  * New upstream snapshot
  * debian/apparmor.d: Allow more device enumeration
  * Declare compliance with Debian Policy 4.0.0

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Jul 2017 07:42:11 +0100

openjk (0~20170610+dfsg1-1) experimental; urgency=medium

  * Reference CVE-2017-6903 in previous changelog entry
  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Jun 2017 09:55:29 +0100

openjk (0~20170314+dfsg1-1) experimental; urgency=high

  * New upstream snapshot with security fixes
    (Closes: #857715; CVE-2017-6903)
    - Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Mar 2017 10:22:34 +0000

openjk (0~20170122+dfsg1-1) experimental; urgency=medium

  * New upstream snapshot
    - Drop patches that were applied upstream
  * Add a patch to fix compilation on big-endian CPUs

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Feb 2017 11:27:39 +0000

openjk (0~20170112+dfsg1-1) experimental; urgency=medium

  * New upstream snapshot
    - Drop patches that were applied upstream
  * Add patches to fix bounds-checking in savegames, so valid saves
    are not rejected
  * debian/apparmor.d/usr.games.openjk: Allow more device enumeration

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Jan 2017 20:26:05 +0000

openjk (0~20161025+dfsg1-1) experimental; urgency=medium

  * New upstream snapshot
    - 64-bit builds now have the same saved game format as 32-bit builds
      with the same endianness
    - compatibility break: 64-bit saved games made prior to this version
      are no longer supported
  * d/p/Suppress-compiler-warning-for-unused-BufferToHexString.patch,
    d/p/Use-same-mechanism-to-say-no-servers-found-as-to-say-how-.patch,
    d/p/botlib-print-long-int-correctly.patch,
    d/p/Declare-platform-independent-byteswapping-functions-QINLI.patch,
    d/p/Fix-a-typo-in-Siege-mode-attemtping-attempting.patch:
    drop, applied upstream
  * d/p/Pick-up-date-from-SOURCE_DATE_EPOCH-for-reproducible-buil.patch:
    alter to define SOURCE_DATE in q_platform.h as requested upstream
  * d/p/Consistently-use-static-QINLINE-for-inline-C-code.patch,
    d/p/g_svcmds-fix-typo-in-avoiding-non-C-11-compliant-string-s.patch,
    d/p/savegames-bounds-check-some-string-lengths-to-prevent-buf.patch:
    more bugfix patches
  * d/p/Avoid-compiler-warning-when-sscanf-writes-qboolean-throug.patch:
    fix one more instance of the same issue
  * openjk-academy-server: depend on lsb-base as recommended by Lintian

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Oct 2016 12:10:23 +0100

openjk (0~20160911+dfsg1-2) experimental; urgency=medium

  * Correct `date` invocation for $SOURCE_DATE_EPOCH
  * d/p/Avoid-compiler-warning-when-sscanf-writes-qboolean-throug.patch,
    d/p/Suppress-compiler-warning-for-unused-BufferToHexString.patch,
    d/p/Use-same-mechanism-to-say-no-servers-found-as-to-say-how-.patch,
    d/p/botlib-print-long-int-correctly.patch:
    silence some compiler warnings

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Sep 2016 15:30:10 +0100

openjk (0~20160911+dfsg1-1) experimental; urgency=medium

  * New upstream snapshot
    - build-depend on SDL2 2.0.4 to match version bundled upstream
    - refresh patches
  * debian/gbp.conf: use DEP-14 branch names
  * debian/rules: align with ioquake3
  * Move to debhelper compat level 10
    - do not explicitly use dh-systemd, it is now integrated
    - do not explicitly use a parallel build, it is the default
  * Install README.md as README
    - build-depend on dh-exec
  * Adjust symlinks to README to assume it will be compressed
  * Stop installing rv-readme.txt, it just duplicates debian/copyright
  * d/p/Declare-platform-independent-byteswapping-functions-QINLI.patch:
    suppress compiler warnings about unused static functions by marking
    them inline
  * Extend openjk-common Description a bit
  * Standards-version: 3.9.8 (no changes required)
  * AppArmor profile: allow enumerating direct rendering devices
  * AppArmor profile: allow use of Wayland shared memory buffers

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Sep 2016 20:10:26 +0100

openjk (0~20160320+dfsg1-1) experimental; urgency=medium

  * New upstream snapshot
    - update debian/copyright
    - drop patch for upstream bug #507 (PR #695), merged upstream
    - refresh remaining patch
  * Switch Vcs-Git to https (see #810378)
  * Standards-Version: 3.9.7 (no changes needed)
  * Build-depend on libboost-test-dev, and run new build-time tests
  * Require strictly matching openjk-common version
  * Install CHANGELOG.md as the upstream changelog
  * Install README.md and rv-readme.txt in openjk-common
  * Remove openjk-dbg, rely on automatic dbgsym packages
  * Symlink all documentation into each game's directory
  * debian/watch: add (guessing at what releases will look like)
  * Build with full hardening options
  * Add patch fixing a typo in Siege mode
  * Remove traditional Debian menu entries (prohibited by CTTE decision
    #741573) and the XPM icon that they used
  * Add documentation to the systemd units
  * Add experimental AppArmor profiles, initially in non-enforcing mode
  * Override __DATE__ to the date from the changelog, for reproducible builds

 -- Simon McVittie <smcv@debian.org>  Sun, 20 Mar 2016 17:41:53 +0000

openjk (0~20150815+dfsg1-1) experimental; urgency=medium

  * New upstream snapshot
    - drop patch for PR #665, applied upstream
    - update patch for upstream bug #507 (PR #695)
  * Drop patch to avoid direct libX11 dependency, no longer needed
    with CMake 3.2
  * debian/rules: add convenience "maintainer-get-orig-source" target
  * debian/rules: use CMAKE_BUILD_TYPE=None now that that works
  * debian/copyright: license packaging GPL-2+ for ease of sharing
    with ioquake3

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Aug 2015 11:25:39 +0100

openjk (0~20150524+dfsg1-1) experimental; urgency=low

  * New upstream snapshot
    - drop patches for PR #658, #659, #666: applied upstream
  * debian/copyright: use the copyright-format URL, not DEP-5
  * debian/copyright: add Disclaimer explaining that this contrib
    package is not part of Debian (Policy §12.5)
  * Correct ITP bug number in previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Sat, 06 Jun 2015 19:03:36 +0100

openjk (0~20150430+dfsg1-1) experimental; urgency=low

  * Initial release. (Closes: #773909)
  * Initial Debian patch-set:
    - avoid using uninitialized variables to set vehicle view angles
      (upstream PR #665)
    - fix Linux compilation of the JK2 modules (upstream PR #658)
    - use C++11-compliant string concatenation (upstream PR #659)
    - silence a compiler warning in savegame handling by making a
      function parameter correctly unsigned (upstream PR #658)
    - be portable to architectures other than x86, x86-64 and 32-bit ARM
      (briefly tested on powerpc, upstream PR #666)
    - fix an endianness bug in the zinf-derived MP3 decoder (upstream PR #666)
    - disarm debug code that would try to write to c:/nofreeentities.txt
      under certain circumstances (not forwarded yet)
    - use select() or sleep() instead of busy-waiting between frames
      (upstream bug #507)
    - only link the executable to libGL, not to libGL's dependencies
      such as libX11 (OpenJK only uses GL and SDL directly;
      not forwarded yet, not necessarily portable beyond GNU/Linux)

 -- Simon McVittie <smcv@debian.org>  Mon, 11 May 2015 21:33:07 +0100
